Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 730232 - dev-python/backports-lzma fails to build with linker LLD
Summary: dev-python/backports-lzma fails to build with linker LLD
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-06-30 11:07 UTC by Agostino Sarubbo
Modified: 2020-07-06 08:13 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,11.64 KB, text/plain)
2020-06-30 11:07 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-06-30 11:07:05 UTC
@@This is an auto-filed bug@@
Feel free to change the summary at your convenience.

Issue: dev-python/backports-lzma fails to compile.
Discovered on: amd64

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please mention it in the summary and block bug 408963. If you need further logs, feel free to ask.
Comment 1 Agostino Sarubbo gentoo-dev 2020-06-30 11:07:10 UTC
Created attachment 647190 [details]
build.log

build log and emerge --info
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-06-30 12:18:31 UTC
The errors don't make much sense. Are you sure that system libs in lib64 aren't 32-bit somehow?
Comment 3 Agostino Sarubbo gentoo-dev 2020-06-30 12:24:18 UTC
(In reply to Michał Górny from comment #2)
> The errors don't make much sense. Are you sure that system libs in lib64
> aren't 32-bit somehow?

Does something like this clarify?

$ file /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../lib64/crti.o
/usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../lib64/crti.o: ELF 64-bit LSB relocatable, x86-64, version 1 (SYSV), not stripped

$ file /usr/lib64/libpython2.7.so
/usr/lib64/libpython2.7.so: symbolic link to libpython2.7.so.1.0

$ file /usr/lib64/libpython2.7.so.1.0 
/usr/lib64/libpython2.7.so.1.0: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, stripped
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-06-30 12:35:54 UTC
Probably some bug in clang/lld then. I'll try debugging when I get home.
Comment 5 Agostino Sarubbo gentoo-dev 2020-06-30 12:42:02 UTC
It looks like "-L/usr/lib" breaks the link command, see for example:
https://github.com/PhotoFlare/photoflare/issues/249
https://github.com/PhotoFlare/photoflare/pull/248/files
Comment 6 Larry the Git Cow gentoo-dev 2020-07-04 15:15:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b235e52c03958802f964e953f9b111ab905235b

commit 2b235e52c03958802f964e953f9b111ab905235b
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-07-04 15:14:35 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-07-04 15:15:05 +0000

    dev-python/backports-lzma: Sed wrong -L/usr/lib out
    
    Closes: https://bugs.gentoo.org/730232
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/backports-lzma/backports-lzma-0.0.13.ebuild | 6 ++++++
 1 file changed, 6 insertions(+)